Bug 990491 - when set the emulated machine type by "-M pc", qemu not specify the guest system version correctly
when set the emulated machine type by "-M pc", qemu not specify the guest ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Hai Huang
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-31 05:52 EDT by yunpingzheng
Modified: 2014-03-03 19:14 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-27 10:17:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description yunpingzheng 2013-07-31 05:52:42 EDT
Description of problem:
boot guest with -M xx, set the emulated machine type. after guest boot check the guest system version by "dmidecode -t 1", the version is "Not Secified"

In rhel6, when set the emulated machine type by -M in qemu command, qemu will set the guest system version correctly.
 

Version-Release number of selected component (if applicable):
Host RHEL7
qemu-kvm-1.5.1-2.el7.x86_64
seabios-1.7.2.2-2.el7.x86_64
kernel-3.9.0-0.55.el7.x86_64

Guest: RHEL.6.4

How reproducible:
100%

Steps to Reproduce:
1.boot guest with -M pc, set the emulated machine type. 
2. after guest boot check the guest system version by "dmidecode -t 1", the version is "Not Secified"

Actual results:
 the version is "Not Secified"

Expected results:
 the version is like "RHEL 7.0.0 PC"

Additional info:
Comment 2 Sibiao Luo 2013-07-31 06:45:58 EDT
FYI, this can be specified in qemu var '-smbios version=xxx'.
e.g:...-smbios type=1,manufacturer="Red Hat",product=KVM,version="RHEL-7.0 PC",serial=PK12123456SN,uuid=43425b70-86e5-4664-bf2c-3b76699b8bec,sku=SKU123456,family="Red Hat Enterprise Linux"
guest]# dmidecode 
Handle 0x0100, DMI type 1, 27 bytes
System Information
    Manufacturer: Red Hat
    Product Name: KVM
    Version: RHEL-7.0 PC
    Serial Number: PK12123456SN
    UUID: 43425B70-86E5-4664-BF2C-3B76699B8BEC
    Wake-up Type: Power Switch
    SKU Number: SKU123456
    Family: Red Hat Enterprise Linux 

Best Regards,
sluo

Note You need to log in before you can comment on or make changes to this bug.